@mixin pseudo($display: block, $pos: absolute, $content: '') {

    content: $content;
    display: $display;
    position: $pos;
}

@mixin font-source($family, $size: false, $colour: false, $weight: false,  $lh: false, $fs: false, $trs:false) {
    font-family: $family,sans-serif;
    @if $size { font-size: $size; }
    @if $colour { color: $colour; }
    @if $weight { font-weight: $weight; }
    @if $lh { line-height: $lh; }
    @if $fs { font-style:$fs;}
    @if $trs { text-transform:$trs;}
}

@mixin font-pseudo($family, $content, $color, $size, $position: absolute) {

    @include pseudo(inline-block, $position, $content);
    font-family: $family;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    text-rendering: auto;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    color: $color;
    font-size: $size;
}

@mixin prefix($property, $value, $prefixes: ()) {
  @each $prefix in $prefixes {
    -#{$prefix}-#{$property}: $value;
  }

  #{$property}: $value;
}

@mixin mq($width, $type: min) {
    @if map_has_key($breakpoints, $width) {
        $width: map_get($breakpoints, $width);
        @if $type == max {
            $width: $width - 1px;
        }
        @media only screen and (#{$type}-width: $width) {
            @content;
        }
    }
}